Subject: Re: [PATCH] gnu: Add r-shinyauthr.

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 23 Jan 2025 16:17:45 +0100

Hi,

> Updated patch to include r-testthat as a native-input, pinging R team.

One of the tests fails here:

--8<---------------cut here---------------start------------->8---
══ Failed tests ════════════════════════════════════════════════════════════════
── Error ('test-ui.R:3:1'): (code run outside of `test_that()`) ────────────────
<packageNotFoundError/error/condition>
Error in `library(shinytest)`: there is no package called ‘shinytest’
Backtrace:
    ▆
 1. └─base::library(shinytest) at test-ui.R:3:1

[ FAIL 1 | WARN 27 | SKIP 0 | PASS 17 ]
Error: Test failures
Execution halted
--8<---------------cut here---------------end--------------->8---

We cannot add shinytest here, because it has a huge JavaScript problem.
I'll change the package definition to disable the tests with a comment.

-- 
Ricardo